void printLog(String log) {
  const int max = 800;
  if (log.length <= max) {
    print(log);
  } else {
    int start = 0;
    int times = (log.length / max).floor();
    for (var i = 0; i < times; i++, start += max) {
      print(log.substring(start, start + max));
    }
    if (log.length - start > 0) {
      print(log.substring(start, log.length));
    }
  }
}
